%define anolis_release 1
Name:           python-numpydoc
Version:        1.4.0
Release:        %{anolis_release}%{?dist}
Summary:        Sphinx extension to support docstrings in NumPy format

License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        https://files.pythonhosted.org/packages/source/n/numpydoc/numpydoc-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the NumPy/SciPy format to a form palatable to Sphinx.


%package -n     python3-numpydoc
Summary:        %{summary}
%{?python_provide:%python_provide python3-numpydoc}
%description -n python3-numpydoc
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the NumPy/SciPy format to a form palatable to Sphinx.


%prep
%autosetup -p1 -n numpydoc-%{version}
# let's not measure coverage:
sed -i '/pytest-cov/d' requirements/test.txt
sed -Ei 's/\s+--cov\S+//g' setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files numpydoc

%check
# Deselected tests need to download an inventory from docs.python.org
%pytest -k "not test_MyClass and not test_my_function"


%files -n python3-numpydoc -f %pyproject_files
%license LICENSE.txt

%changelog
* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 1.4.0-1
- Import package for anolis 23
